# Method: operations.cancel

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/operations/cancel#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/operations/cancel#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/operations/cancel#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/operations/cancel#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/operations/cancel#body.aspect)

Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use `https://developers.google.com/ads-data-hub/reference/rest/v1/operations/get#google.longrunning.Operations.GetOperation` or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an `https://developers.google.com/ads-data-hub/reference/rest/v1/operations#Operation.FIELDS.error` value with a `https://developers.google.com/ads-data-hub/reference/rest/v1/operations#Status.FIELDS.code` of 1, corresponding to `Code.CANCELLED`.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{name=operations/**}:cancel`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource to be cancelled. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`